Subject: Stuck on Reta?
From: Hunter Williams <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Sat, 9 May 2026 00:19:55 +0000

Happy Friday! 

I just released a new Reader Mailbag podcast. 

This is the third one we've put out, and it's become one of my favorite pieces of content we make. 

Instead of the rapid-fire live Q&As, Taylor and I take the questions you guys have been sending in, group the ones that keep coming up, and do a longer breakdown on each one.

Watch on YouTube: [https://youtu.be/PgCWgL-CIj0](https://youtu.be/PgCWgL-CIj0)

Listen on Spotify: [https://open.spotify.com/episode/0gc1NAna4P35j45mpcjHK9?si=32WdZKLtT5OPlg1uWev07g](https://open.spotify.com/episode/0gc1NAna4P35j45mpcjHK9?si=32WdZKLtT5OPlg1uWev07g)

Here's what we covered.

———————————————————————————

**Traveling with Peptides**

Two of you wrote in asking how we actually handle this. Checked bag or carry-on? What about TRT? What about customs?

We break down our exact protocol, including what we put in the insulin cooler, which pens travel best, what's happened to us in Mexico and Europe, and the one mistake we made flying overseas that cost me an entire vial of testosterone. There's also a story about a tin of mouth tape that was apparently more interesting to Mexican customs than my peptide pens.

———————————————————————————

**The Glutathione Problem**

If you've ever injected glutathione, you know. It stings. We had two listeners ask why, and what to actually do about it.

Taylor and I cover what's really happening at the injection site (it's not a mast cell reaction), the one bac water swap that's helped us the most, why a bigger-gauge needle can actually hurt less, and how to handle the dilution math if you're mixing it yourself. Also, why I'd never recommend sub-Q glutathione past a certain volume.

———————————————————————————

**Melanotan I vs Melanotan II**

A few of you asked about using Melanotan with a personal or family history of skin cancer, and how to think about pigmentation issues.

We get into the differences between MT1 and MT2, why I personally only use MT1, why MT2 is more like a tanning bed (use it for an event, not year-round), and how I think about the cancer question for each one. There's also a tangent about tanning beds in the early 2000s that probably explains a lot about a generation of skin issues.

———————————————————————————

**Perimenopausal Sleep Problems**

This is one of the biggest topics we get asked about. One listener was on MK-677, sleeping great, but binge eating and worried about insulin resistance.

Taylor walks through what she actually recommends for women in this stage, why progesterone is doing more heavy lifting than most people realize, where MK-777 fits in, and the role minerals play that almost nobody talks about. I also get on my soapbox about sunlight, EMFs, and the foundational stuff that makes every peptide work better. There is no peptide version of Ambien, and we explain why.

———————————————————————————

**The Retatrutide Plateau**

Three separate questions came in on this. People not feeling appetite suppression, people stalling out, people switching from Sema and feeling nothing.

We cover the difference between appetite suppression and food noise (this matters more than people think), why the Reta data actually shows appetite suppression fading by week 36 while fat loss continues, the three options you have when results stall, and where LDN fits in for receptor sensitivity. Also, why your bathroom scale is probably lying to you.

———————————————————————————

**How to Stack Peptides**

This is the question I get most often, and the hardest one to answer in a sentence.

Taylor walks through her category framework, and I lay out the bleeding-neck principle plus the five buckets that cover 90-95% of what most people are trying to fix. If you've ever stared at a vendor site with 50 peptides and felt paralyzed, this section is for you.

———————————————————————————

As always, keep the questions coming at the question box link [here](https://hunterwilliamsvideotopic.carrd.co/).

If one person sends it in, ten people are thinking it, and if ten people are sending it in, ten thousand more are. 

And to all the moms reading this, have an amazing Mother's Day weekend. Thank you for everything you do!!!

Best, 

Hunter Williams 

———

You are reading a plain text version of this post. For the best experience, copy and paste this link in your browser to view the post online:
https://huntershealthhacks.beehiiv.com/p/stuck-on-reta